%define upstream_name    Data-BitStream
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A bit stream class including integer coding
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mouse) >= 0.580.0
BuildRequires: perl(Mouse::Role) >= 0.580.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
A Mouse/Moose class providing read/write access to bit streams. This
includes many integer coding methods as well as straightforward ways to
implement new codes.

Bit streams are often used in data compression and in embedded products
where memory is at a premium. While this Perl implementation may not be
appropriate for many of these applications (speed and Perl), it can be very
useful for prototyping and experimenting with different codes. A future
implementation using XS for internals may resolve some performance
concerns.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 365259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 254799
- update to 0.06

* Mon May 28 2012 kharec <kharec> 0.50.0-1.mga3
+ Revision: 248319
- update to 0.05

* Thu Nov 10 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 166071
- imported package perl-Data-BitStream

